Extending Qt Creator Manual | Cache

Extending Qt Creator Manual 4.7.1

# Cache Class

(ProjectExplorer::Cache)

- List of all members, including inherited members

## Public Functions

| Cache()
| Cache(const Cache<T, Size> &other)
| Cache(Cache<T, Size> &&other)
int | check(const int &)
void | insert(const int &compilerArguments, const T &values)
void | invalidate()
Cache<T, Size> & | operator=(const Cache<T, Size> &other)
Cache<T, Size> & | operator=(Cache<T, Size> &&other)

## Member Function Documentation

### Cache::Cache()

Default constructs an instance of Cache.

### Cache::Cache(const Cache<T, Size> &other)

Default constructs an instance of Cache.

### Cache::Cache(Cache<T, Size> &&other)

Default constructs an instance of Cache.

### int Cache::check(const int &)

### void Cache::insert(const int &compilerArguments, const T &values)

### void Cache::invalidate()

### Cache<T, Size> &Cache::operator=(const Cache<T, Size> &other)

Copy-assignment operator.

### Cache<T, Size> &Cache::operator=(Cache<T, Size> &&other)

Move-assignment operator.